// Q2 108061112 林靖
//
// A int matrix is defined as
//
// A[r][c] = c,                   if r == 0,
//           r,                   if c == 0,
//           A[r - 1] + A[c - 1], otherwise.
//
// Please write A NON-RECURSIVE function to create such a matrix.
//

#include <stdio.h>

#define N 5

int A[N][N];

void init(int A[N][N])
{
	int r, c;					// current working index

	for (c = 0; c < N; c++) {	// init if r == 0
		A[0][c] = c;			// A[r][c] = c
	}
	for (r = 0; r < N; r++) {	// init if c == 0
		A[r][0] = r;			// A[r][c] = r
	}
	for (r = 1; r < N; r++) {						//
		for (c = 1; c < N; c++) {					// init otherwise
			A[r][c] = A[r - 1][c] + A[r][c - 1];	//
		}
	}
}
